<div ng-if="chat.isLoggedIn()" style="max-width:40ex;background:#eeeeee;padding: 5px;">
    <div class="pull-right">
        <i class="fa fa-times btn btn-default btn-xs" ng-if="chat.visible" ng-click="chat.visible = false;"></i>
        <i class="fa fa-inbox btn btn-default btn-xs" ng-if="!chat.visible" ng-click="chat.visible = true;chat.markRead()"></i>
        <div ng-if="chat.hasNewMessages()"
            style="height: 10px;width: 10px;background-color: #900;border-radius: 50%;position: absolute;top: 3px;right: 3px;">
        </div>
    </div>
    <div class="clearfix"></div>
    <div ng-if="chat.visible">
        <div id="foodcoop-messages" style="max-height: 10em; overflow-y: scroll; width: 100%;word-break:break-word;">
            <div ng-repeat="message in chat.messages" style="border-bottom: 1px dashed grey">
                {{message.createdAt | amDateFormat: 'DD.MM.YYYY HH:mm'}} Uhr, {{message.User.name}}:
                <div>{{message.text}}</div>
            </div>
        </div>
        <div>
            <textarea style="max-width: 100%;" class="form-control pull-right" placeholder="Schreib was..."
                maxlength="140" ng-model="chat.messageText"></textarea>
            <button class="btn btn-default pull-right" ng-click="chat.send()">Senden</button>
            <div class="clearfix"></div>
        </div>
    </div>
</div>